## openssh-ssh1 7.5p1

=== regress/Makefile ===
#	$OpenBSD: Makefile,v 1.94 2016/12/16 03:51:19 dtucker Exp $

REGRESS_TARGETS=	unit t1 t2 t3 t4 t5 t6 t7 t8 t9 t10 t11 t12 t-exec
tests:		prep $(REGRESS_TARGETS)

# Interop tests are not run by default
interop interop-tests: t-exec-interop

prep:
	test "x${USE_VALGRIND}" = "x" || mkdir -p $(OBJ)/valgrind-out

clean:
	for F in $(CLEANFILES); do rm -f $(OBJ)$$F; done
	test -z "${SUDO}" || ${SUDO} rm -f ${SUDO_CLEAN}
	rm -rf $(OBJ).putty

distclean:	clean

LTESTS= 	connect \
		proxy-connect \
		connect-privsep \
		proto-version \
		proto-mismatch \
		exit-status \
		envpass \
		transfer \
		banner \
		rekey \
		stderr-data \
		stderr-after-eof \
		broken-pipe \
		try-ciphers \
		yes-head \
		login-timeout \
		agent \
		agent-getpeereid \
		agent-timeout \
		agent-ptrace \
		keyscan \
		keygen-change \
		keygen-convert \
		keygen-moduli \
		key-options \
		scp \
		sftp \
		sftp-chroot \
		sftp-cmds \
		sftp-badcmds \
		sftp-batch \
		sftp-glob \
		sftp-perm \
		reconfigure \
		dynamic-forward \
		forwarding \
		multiplex \
		reexec \
		brokenkeys \
		sshcfgparse \
		cfgparse \
		cfgmatch \
		addrmatch \
		localcommand \
		forcecommand \
		portnum \
		keytype \
		kextype \
		cert-hostkey \
		cert-userkey \
		host-expand \
		keys-command \
		forward-control \
		integrity \
		krl \
		multipubkey \
		limit-keytype \
		hostkey-agent \
		keygen-knownhosts \
		hostkey-rotate \
		principals-command \
		cert-file \
		cfginclude \
		allow-deny-users


#		dhgex \

INTEROP_TESTS=	putty-transfer putty-ciphers putty-kex conch-ciphers
#INTEROP_TESTS+=ssh-com ssh-com-client ssh-com-keygen ssh-com-sftp

#LTESTS= 	cipher-speed

USERNAME!=		id -un
CLEANFILES=	*.core actual agent-key.* authorized_keys_${USERNAME} \
		authorized_keys_${USERNAME}.* \
		authorized_principals_${USERNAME} \
		banner.in banner.out cert_host_key* cert_user_key* \
		copy.1 copy.2 data ed25519-agent ed25519-agent* \
		ed25519-agent.pub empty.in expect failed-regress.log \
		failed-ssh.log failed-sshd.log hkr.* host.rsa host.rsa1 \
		host_* host_ca_key* host_krl_* host_revoked_* key.* \
		key.dsa-* key.ecdsa-* key.ed25519-512 key.ed25519-512.pub \
		key.rsa-* keys-command-args kh.* known_hosts \
		known_hosts-cert known_hosts.* krl-* ls.copy modpipe \
		netcat pidfile putty.rsa2 ready regress.log remote_pid \
		revoked-* rsa rsa-agent rsa-agent.pub rsa.pub rsa1 \
		rsa1-agent rsa1-agent.pub rsa1.pub rsa_ssh2_cr.prv \
		rsa_ssh2_crnl.prv scp-ssh-wrapper.exe \
		scp-ssh-wrapper.scp setuid-allowed sftp-server.log \
		sftp-server.sh sftp.log ssh-log-wrapper.sh ssh.log \
		ssh_config ssh_config.* ssh_proxy ssh_proxy_bak \
		ssh_proxy_envpass sshd.log sshd_config sshd_config.orig \
		sshd_proxy sshd_proxy.* sshd_proxy_bak sshd_proxy_orig \
		t10.out t10.out.pub t12.out t12.out.pub t2.out t3.out \
		t6.out1 t6.out2 t7.out t7.out.pub t8.out t8.out.pub \
		t9.out t9.out.pub testdata user_*key* user_ca* user_key*

SUDO_CLEAN+=	/var/run/testdata_${USERNAME} /var/run/keycommand_${USERNAME}

# Enable all malloc(3) randomisations and checks
TEST_ENV=      "MALLOC_OPTIONS=CFGJRSUX"

TEST_SSH_SSHKEYGEN?=ssh-keygen

CPPFLAGS=-I..

t1:
	${TEST_SSH_SSHKEYGEN} -if ${.CURDIR}/rsa_ssh2.prv | diff - ${.CURDIR}/rsa_openssh.prv
	tr '\n' '\r' <${.CURDIR}/rsa_ssh2.prv > ${.OBJDIR}/rsa_ssh2_cr.prv
	${TEST_SSH_SSHKEYGEN} -if ${.OBJDIR}/rsa_ssh2_cr.prv | diff - ${.CURDIR}/rsa_openssh.prv
	awk '{print $$0 "\r"}' ${.CURDIR}/rsa_ssh2.prv > ${.OBJDIR}/rsa_ssh2_crnl.prv
	${TEST_SSH_SSHKEYGEN} -if ${.OBJDIR}/rsa_ssh2_crnl.prv | diff - ${.CURDIR}/rsa_openssh.prv

t2:
	cat ${.CURDIR}/rsa_openssh.prv > $(OBJ)/t2.out
	chmod 600 $(OBJ)/t2.out
	${TEST_SSH_SSHKEYGEN} -yf $(OBJ)/t2.out | diff - ${.CURDIR}/rsa_openssh.pub

t3:
	${TEST_SSH_SSHKEYGEN} -ef ${.CURDIR}/rsa_openssh.pub >$(OBJ)/t3.out
	${TEST_SSH_SSHKEYGEN} -if $(OBJ)/t3.out | diff - ${.CURDIR}/rsa_openssh.pub

t4:
	${TEST_SSH_SSHKEYGEN} -E md5 -lf ${.CURDIR}/rsa_openssh.pub |\
		awk '{print $$2}' | diff - ${.CURDIR}/t4.ok

t5:
	${TEST_SSH_SSHKEYGEN} -Bf ${.CURDIR}/rsa_openssh.pub |\
		awk '{print $$2}' | diff - ${.CURDIR}/t5.ok

t6:
	${TEST_SSH_SSHKEYGEN} -if ${.CURDIR}/dsa_ssh2.prv > $(OBJ)/t6.out1
	${TEST_SSH_SSHKEYGEN} -if ${.CURDIR}/dsa_ssh2.pub > $(OBJ)/t6.out2
	chmod 600 $(OBJ)/t6.out1
	${TEST_SSH_SSHKEYGEN} -yf $(OBJ)/t6.out1 | diff - $(OBJ)/t6.out2

$(OBJ)/t7.out:
	${TEST_SSH_SSHKEYGEN} -q -t rsa -N '' -f $@

t7: $(OBJ)/t7.out
	${TEST_SSH_SSHKEYGEN} -lf $(OBJ)/t7.out > /dev/null
	${TEST_SSH_SSHKEYGEN} -Bf $(OBJ)/t7.out > /dev/null

$(OBJ)/t8.out:
	${TEST_SSH_SSHKEYGEN} -q -t dsa -N '' -f $@

t8: $(OBJ)/t8.out
	${TEST_SSH_SSHKEYGEN} -lf $(OBJ)/t8.out > /dev/null
	${TEST_SSH_SSHKEYGEN} -Bf $(OBJ)/t8.out > /dev/null

$(OBJ)/t9.out:
	test "${TEST_SSH_ECC}" != yes || \
	${TEST_SSH_SSHKEYGEN} -q -t ecdsa -N '' -f $@

t9: $(OBJ)/t9.out
	test "${TEST_SSH_ECC}" != yes || \
	${TEST_SSH_SSHKEYGEN} -lf $(OBJ)/t9.out > /dev/null
	test "${TEST_SSH_ECC}" != yes || \
	${TEST_SSH_SSHKEYGEN} -Bf $(OBJ)/t9.out > /dev/null


$(OBJ)/t10.out:
	${TEST_SSH_SSHKEYGEN} -q -t ed25519 -N '' -f $@

t10: $(OBJ)/t10.out
	${TEST_SSH_SSHKEYGEN} -lf $(OBJ)/t10.out > /dev/null
	${TEST_SSH_SSHKEYGEN} -Bf $(OBJ)/t10.out > /dev/null

t11:
	${TEST_SSH_SSHKEYGEN} -E sha256 -lf ${.CURDIR}/rsa_openssh.pub |\
		awk '{print $$2}' | diff - ${.CURDIR}/t11.ok

$(OBJ)/t12.out:
	${TEST_SSH_SSHKEYGEN} -q -t ed25519 -N '' -C 'test-comment-1234' -f $@

t12: $(OBJ)/t12.out
	${TEST_SSH_SSHKEYGEN} -lf $(OBJ)/t12.out.pub | grep test-comment-1234 >/dev/null

t-exec:	${LTESTS:=.sh}
	@if [ "x$?" = "x" ]; then exit 0; fi; \
	for TEST in ""$?; do \
		echo "run test $${TEST}" ... 1>&2; \
		(env SUDO="${SUDO}" TEST_ENV=${TEST_ENV} ${TEST_SHELL} ${.CURDIR}/test-exec.sh ${.OBJDIR} ${.CURDIR}/$${TEST}) || exit $$?; \
	done

t-exec-interop:	${INTEROP_TESTS:=.sh}
	@if [ "x$?" = "x" ]; then exit 0; fi; \
	for TEST in ""$?; do \
		echo "run test $${TEST}" ... 1>&2; \
		(env SUDO="${SUDO}" TEST_ENV=${TEST_ENV} ${TEST_SHELL} ${.CURDIR}/test-exec.sh ${.OBJDIR} ${.CURDIR}/$${TEST}) || exit $$?; \
	done

# Not run by default
interop: ${INTEROP_TARGETS}

# Unit tests, built by top-level Makefile
unit:
	set -e ; if test -z "${SKIP_UNIT}" ; then \
		V="" ; \
		test "x${USE_VALGRIND}" = "x" || \
		    V=${.CURDIR}/valgrind-unit.sh ; \
		$$V ${.OBJDIR}/unittests/sshbuf/test_sshbuf ; \
		$$V ${.OBJDIR}/unittests/sshkey/test_sshkey \
			-d ${.CURDIR}/unittests/sshkey/testdata ; \
		$$V ${.OBJDIR}/unittests/bitmap/test_bitmap ; \
		$$V ${.OBJDIR}/unittests/conversion/test_conversion ; \
		$$V ${.OBJDIR}/unittests/kex/test_kex ; \
		$$V ${.OBJDIR}/unittests/hostkeys/test_hostkeys \
			-d ${.CURDIR}/unittests/hostkeys/testdata ; \
		$$V ${.OBJDIR}/unittests/match/test_match ; \
		if test "x${TEST_SSH_UTF8}" = "xyes"  ; then \
			$$V ${.OBJDIR}/unittests/utf8/test_utf8 ; \
		fi \
	fi

=== regress/unittests/Makefile ===
#	$OpenBSD: Makefile,v 1.9 2017/03/14 01:20:29 dtucker Exp $

REGRESS_FAIL_EARLY?=	yes
SUBDIR=	test_helper sshbuf sshkey bitmap kex hostkeys utf8 match conversion

.include <bsd.subdir.mk>

=== regress/unittests/conversion/Makefile ===
#	$OpenBSD: Makefile,v 1.1 2017/03/14 01:20:29 dtucker Exp $

PROG=test_conversion
SRCS=tests.c
REGRESS_TARGETS=run-regress-${PROG}

run-regress-${PROG}: ${PROG}
	env ${TEST_ENV} ./${PROG}

.include <bsd.regress.mk>

=== regress/unittests/kex/Makefile ===
#	$OpenBSD: Makefile,v 1.4 2016/11/01 13:43:27 tb Exp $

PROG=test_kex
SRCS=tests.c test_kex.c
REGRESS_TARGETS=run-regress-${PROG}

run-regress-${PROG}: ${PROG}
	env ${TEST_ENV} ./${PROG}

.include <bsd.regress.mk>

LDADD+=-lz

=== regress/unittests/match/Makefile ===
#	$OpenBSD: Makefile,v 1.3 2016/11/01 13:43:27 tb Exp $

PROG=test_match
SRCS=tests.c
REGRESS_TARGETS=run-regress-${PROG}

run-regress-${PROG}: ${PROG}
	env ${TEST_ENV} ./${PROG}

.include <bsd.regress.mk>

=== regress/unittests/sshbuf/Makefile ===
#	$OpenBSD: Makefile,v 1.5 2016/11/01 13:43:27 tb Exp $

PROG=test_sshbuf
SRCS=tests.c
SRCS+=test_sshbuf.c
SRCS+=test_sshbuf_getput_basic.c
SRCS+=test_sshbuf_getput_crypto.c
SRCS+=test_sshbuf_misc.c
SRCS+=test_sshbuf_fuzz.c
SRCS+=test_sshbuf_getput_fuzz.c
SRCS+=test_sshbuf_fixed.c

.include <bsd.regress.mk>

=== regress/unittests/utf8/Makefile ===
#	$OpenBSD: Makefile,v 1.4 2016/11/01 13:43:27 tb Exp $

PROG=test_utf8
SRCS=tests.c
REGRESS_TARGETS=run-regress-${PROG}

run-regress-${PROG}: ${PROG}
	env ${TEST_ENV} ./${PROG}

.include <bsd.regress.mk>

=== debian/changelog ===
openssh-ssh1 (1:7.5p1-17) unstable; urgency=medium

  * Cherry-pick from upstream:
    - Handle OpenSSL >=3 ABI compatibility (closes: #1070403).
    - Update OpenSSL compat test for 3.x.

 -- Colin Watson <cjwatson@debian.org>  Sun, 05 May 2024 00:25:01 +0100

openssh-ssh1 (1:7.5p1-16) unstable; urgency=medium

  * Cherry-pick from upstream:
    - configure.ac: add missing includes (closes: #1065757).

 -- Colin Watson <cjwatson@debian.org>  Sat, 09 Mar 2024 21:00:20 +0000

openssh-ssh1 (1:7.5p1-15) unstable; urgency=medium

  * Cherry-pick from upstream:
    - Fix zlib version check for 1.3 and future versions (closes: #1058287).

 -- Colin Watson <cjwatson@debian.org>  Tue, 12 Dec 2023 14:53:09 +0000

openssh-ssh1 (1:7.5p1-14) unstable; urgency=medium

  [ Colin Watson ]
  * Set Rules-Requires-Root: no.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dpkg-dev and zlib1g-dev.

 -- Colin Watson <cjwatson@debian.org>  Tue, 15 Nov 2022 15:33:13 +0000

openssh-ssh1 (1:7.5p1-13) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 9 to 12.
    + debian/rules: Move --fail-missing argument to dh_missing.
  * Drop unnecessary dependency on dh-autoreconf.
  * Fix day-of-week for changelog entries 1:3.0.2p1-9, 1:3.0.2p1-2, 1:3.0.1p1-1.

  [ Colin Watson ]
  * Remove symlink_to_dir maintainer script code, which was only needed for
    upgrades from before buster.
  * debian/upstream/signing-key.asc: Minimize exported keys.
  * Upgrade to debhelper v13.
  * debian/copyright: Use HTTPS in Source field.

 -- Colin Watson <cjwatson@debian.org>  Tue, 28 Dec 2021 18:22:24 +0000

openssh-ssh1 (1:7.5p1-12) unstable; urgency=medium

  * Use debhelper-compat instead of debian/compat.
  * Cherry-pick from upstream:
    - Avoid inclusion of deprecated selinux/flask.h (closes: #950473).

 -- Colin Watson <cjwatson@debian.org>  Sat, 25 Jul 2020 00:41:01 +0100

openssh-ssh1 (1:7.5p1-11) unstable; urgency=medium

  * Remove dh_builddeb override to use xz compression; this has been the
    default since dpkg 1.17.0.
  * Simplify debian/rules using /usr/share/dpkg/default.mk.
  * Change priority to optional, since "Priority: extra" is now deprecated.

 -- Colin Watson <cjwatson@debian.org>  Sat, 27 Oct 2018 21:31:14 +0100

openssh-ssh1 (1:7.5p1-10) unstable; urgency=medium

  * Move VCS to salsa.debian.org.

 -- Colin Watson <cjwatson@debian.org>  Sat, 10 Feb 2018 02:34:07 +0000

openssh-ssh1 (1:7.5p1-9) unstable; urgency=medium

  * Remove debian/watch.  OpenSSH 7.6 and newer no longer supports SSH
    protocol 1, so we'll never have a new upstream.
  * Apply patch from Kurt Roeckx and Red Hat for OpenSSL 1.1 compatibility;
    this is only for openssh-ssh1, as the protocol is already known to be
    broken and only usable on private management networks and the like, so
    an error shouldn't have catastrophic consequences (closes: #873574).

 -- Colin Watson <cjwatson@debian.org>  Mon, 27 Nov 2017 14:00:14 +0000

openssh-ssh1 (1:7.5p1-8) unstable; urgency=medium

  * Split out openssh-client-ssh1 binary package to a separate source
    package.  OpenSSH 7.6 will no longer include protocol 1 support, so in
    order for openssh-client-ssh1 to be viable it needs to be frozen at an
    older version.
  * Drop patches that only apply to protocol 2 or to components not shipped
    by this package.
  * Install manual pages for scp1, ssh1, and ssh-keygen1, although they're
    currently just copies of the corresponding non-protocol-1-specific
    pages.

 -- Colin Watson <cjwatson@debian.org>  Sun, 27 Aug 2017 08:56:49 +0100

openssh (1:7.5p1-7) unstable; urgency=medium

  * Fix spelling of RuntimeDirectoryMode (closes: #872976).
  * Add RuntimeDirectory and RuntimeDirectoryMode to ssh@.service as well as
    ssh.service (closes: #872978).

 -- Colin Watson <cjwatson@debian.org>  Wed, 23 Aug 2017 12:12:59 +0100

openssh (1:7.5p1-6) unstable; urgency=medium

  [ Colin Watson ]
  * Test configuration before starting or reloading sshd under systemd
    (closes: #865770).
  * Create /run/sshd under systemd using RuntimeDirectory rather than
    tmpfiles.d (thanks, Dmitry Smirnov; closes: #864190).

  [ Dimitri John Ledkov ]
  * Drop upstart system and user jobs (closes: #872851).

  [ Chris Lamb ]
  * Quote IP address in suggested "ssh-keygen -f" calls (closes: #872643).

 -- Colin Watson <cjwatson@debian.org>  Wed, 23 Aug 2017 01:41:06 +0100

openssh (1:7.5p1-5) unstable; urgency=medium

  * Upload to unstable.
  * Fix syntax error in debian/copyright.

 -- Colin Watson <cjwatson@debian.org>  Sun, 18 Jun 2017 12:08:42 +0100

openssh (1:7.5p1-4) experimental; urgency=medium

  * Drop README.Debian section on privilege separation, as it's no longer
    optional.
  * Only call "initctl set-env" from agent-launch if $UPSTART_SESSION is set
    (LP: #1689299).
  * Fix incoming compression statistics (thanks, Russell Coker; closes:
    #797964).
  * Relicense debian/* under a two-clause BSD licence for bidirectional
    compatibility with upstream, with permission from Matthew Vernon and
    others.

 -- Colin Watson <cjwatson@debian.org>  Tue, 06 Jun 2017 15:17:58 +0100

openssh (1:7.5p1-3) experimental; urgency=medium

  * Fix debian/adjust-openssl-dependencies to account for preferring
    libssl1.0-dev.
  * Adjust OpenSSL dependencies for openssh-client-ssh1 too.
  * Fix purge failure when /etc/ssh has already somehow been removed
    (LP: #1682817).
  * Ensure that /etc/ssh exists before trying to create /etc/ssh/sshd_config
    (LP: #1685022).

 -- Colin Watson <cjwatson@debian.org>  Tue, 02 May 2017 13:51:27 +0100

openssh (1:7.5p1-2) experimental; urgency=medium

  * Add missing header on Linux/s390.
  * Fix syntax error on Linux/X32.



=== debian/control ===
Source: openssh-ssh1
Section: net
Priority: optional
Maintainer: Debian OpenSSH Maintainers <debian-ssh@lists.debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               libpam0g-dev | libpam-dev,
               libselinux1-dev [linux-any],
               libssl-dev,
               zlib1g-dev,
Standards-Version: 3.9.8
Uploaders: Colin Watson <cjwatson@debian.org>,
           Matthew Vernon <matthew@debian.org>,
Homepage: https://www.openssh.com/
Vcs-Git: https://salsa.debian.org/ssh-team/openssh-ssh1.git
Vcs-Browser: https://salsa.debian.org/ssh-team/openssh-ssh1
Rules-Requires-Root: no

Package: openssh-client-ssh1
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: foreign
Description: secure shell (SSH) client for legacy SSH1 protocol
 This is the portable version of OpenSSH, a free implementation of
 the Secure Shell protocol as specified by the IETF secsh working
 group.
 .
 Ssh (Secure Shell) is a program for logging into a remote machine
 and for executing commands on a remote machine.
 It provides secure encrypted communications between two untrusted
 hosts over an insecure network. X11 connections and arbitrary TCP/IP
 ports can also be forwarded over the secure channel.
 It can be used to provide applications with a secure communication
 channel.
 .
 This package provides the ssh1 and scp1 clients and the ssh-keygen1
 utility, all built with support for the legacy SSH1 protocol. This
 protocol is obsolete and should not normally be used, but in some cases
 there may be no alternative way to connect to outdated servers.
 .
 In some countries it may be illegal to use any encryption at all
 without a special permit.
 .
 ssh replaces the insecure rsh, rcp and rlogin programs, which are
 obsolete for most purposes.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

include /usr/share/dpkg/default.mk

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

ifeq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  PARALLEL :=
else
  PARALLEL := \
	-j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
  CC := gcc
  PKG_CONFIG = pkg-config
else
  CC := $(DEB_HOST_GNU_TYPE)-gcc
  PKG_CONFIG = $(DEB_HOST_GNU_TYPE)-pkg-config
endif

# Change the version string to reflect distribution
SSH_EXTRAVERSION := $(DEB_VENDOR)-$(shell echo '$(DEB_VERSION)' | sed -e 's/.*-//')

# Common path configuration.
confflags += --sysconfdir=/etc/ssh
confflags += --libexecdir=\$${prefix}/lib/openssh

# Common build options.
confflags += --disable-strip
confflags += --with-mantype=doc
confflags += --with-4in6

# The Hurd needs libcrypt for res_query et al.
ifeq ($(DEB_HOST_ARCH_OS),hurd)
confflags += --with-libs=-lcrypt
endif

# http://gcc.gnu.org/bugzilla/show_bug.cgi?id=60155
ifeq ($(DEB_HOST_ARCH),hppa)
confflags += --without-hardening
endif

confflags += --with-ssl-engine
ifeq ($(DEB_HOST_ARCH_OS),linux)
confflags += --with-selinux
endif

confflags += --with-xauth=/usr/bin/xauth

# Compiler flags.
cflags := $(CPPFLAGS) $(CFLAGS)
cflags += -DSSH_EXTRAVERSION=\"$(SSH_EXTRAVERSION)\"
confflags += --with-cflags='$(cflags)'

# Linker flags.
confflags += --with-ldflags='$(strip -Wl,--as-needed $(LDFLAGS))'

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Bdebian/build-deb-ssh1 -- $(confflags) --with-ssh1

override_dh_auto_build:
	$(MAKE) -C debian/build-deb-ssh1 $(PARALLEL) SSH_PROGRAM='/usr/bin/ssh1' ASKPASS_PROGRAM='/usr/bin/ssh-askpass' ssh scp ssh-keygen ssh.1.out scp.1.out ssh-keygen.1.out

override_dh_auto_test:

override_dh_auto_clean:
	rm -rf debian/build-deb-ssh1

override_dh_auto_install:

# Tighten libssl dependencies to match the check in entropy.c.
override_dh_shlibdeps:
	dh_shlibdeps
	debian/adjust-openssl-dependencies
